Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1530 - p2c needs to be updated
Summary: p2c needs to be updated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: p2c
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-16 15:42 UTC by Alexander L. Belikoff
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 06:56:14 UTC


Attachments (Terms of Use)

Description Alexander L. Belikoff 1999-03-16 15:42:23 UTC
p2c shipped with RedHat systems is old and has a huge number
of problems associated with it. Unfortunately its author
said that he didn't have any spare time to continue
maintaining it. We at BFM have been using p2c for quite a
long time and have made (primarily Harvey J. Stein
<hjstein@bfr.co.il>) a number of large patches for it.

I've put the new version of p2c (dubbed 1.22) on gribble.
Look at the ChangeLog to get an idea of what changes were
made. Note also a 'p2c.patch' file, that contains *some*
(NOT all) changes against the plain p2c - you DON'T have to
apply it - it's already in.

I must warn that we still don't rely on p2c on an Alpha
platform - it still generates incorrect code from time to
time.

Comment 1 Mike Maher 1999-03-22 06:56:59 UTC
Fixed this problem, see changelog for details.
Makefiles needed many modifications.


Note You need to log in before you can comment on or make changes to this bug.